<?php
 
 
 

namespace PhpWA\Protocol\Proto\BotQuotaMetadata\BotFeatureQuotaMetadata;

use UnexpectedValueException;




class BotFeatureType
{
    


    const UNKNOWN_FEATURE = 0;
    


    const REASONING_FEATURE = 1;

    private static $valueToName = [
        self::UNKNOWN_FEATURE => 'UNKNOWN_FEATURE',
        self::REASONING_FEATURE => 'REASONING_FEATURE',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

